View Issue Details

IDProjectCategoryView StatusLast Update
0001870Common[All Projects] Generalpublic2016-11-17 22:48
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version3.2.2 
Summary0001870: Toujours exécuter les outils de deploy
DescriptionIl faut toujours exécuter les élément de déploiement, même si ce ne sont que des conteneurs vides. Ainsi, ils seront configurés et prêts sur tous les projets. Il faudrait donc toujours exécuter:
- Sonar OK
- Doxygen OK
- Selenium OK
- PHPUnit OK
- Mantis (MaJ des tickets) et si possible, en PHP (cela allègera le shell script)
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-11-13 16:57

administrator   ~0002727

Putain, ca y'est, c'est soldé....
J'ai passé 10x trop de temps là-dessus, donc à partir de maintenant, je vais tenter de réduire au minimum le temps passé sur tout ce qui concerne le "framework" (littéral: cadre de travail = IDE, scripts utilitaires, codes, méthodes, etc).

Il faut que je consacre au plus 1 soirée par semaine là-dessus (et encore). Plus d'1 soirée, c'est de la perte de temps.

Là, c'était relativement bénéfique avec tout le batch de tickets qui a été soldé: hook en PHP plus rapide et sans pop-up et sans bricolage de causette cygwin/windows; deploy script en PHP aussi plus véloce et surtout déboguable, structure identique à tous les projets tests inclus donc possibilité de remplir cette structure de tests maintenant [alors qu'avant, je n'aurai jamais fait de tests par flemme de mettre la structure en place], structure PHP bien bien plus claire pour ce qui est des handlers & "micro-services"

Mais c'est franchement chronophage... Donc je vais réduire à 1soir/semaine max sur le Common. Le reste du temps, sur des vraies features et codes métier des projets (qui n'ont donc pas avancés depuis 2 semaines en fait!)
Xenos

Xenos

2016-11-17 22:48

administrator   ~0002739

N'empêche que c'est vachement mieux:
- Commit hook bien plus fiable et rapide
- Check (=simulation de préparation du déploiement) depuis Netbeans
- Mise à jour des issues Sonar à la demande (plus besoin de déployer pour voir ce qui sera moisi)
- Déploiement plus rapide (car préparation du déploiement [Check] plus rapide)

Tout bien quoi :)

Issue History

Date Modified Username Field Change
2016-11-06 23:58 Xenos New Issue
2016-11-06 23:58 Xenos Status New => Accepted
2016-11-07 21:49 Xenos Assigned To => Xenos
2016-11-07 21:49 Xenos Status Accepted => In progress
2016-11-07 23:45 Xenos Description Updated View Revisions
2016-11-07 23:45 Xenos Description Updated View Revisions
2016-11-08 22:36 Xenos Description Updated View Revisions
2016-11-08 22:50 Xenos Description Updated View Revisions
2016-11-08 23:49 Xenos Description Updated View Revisions
2016-11-12 11:10 AutoUpdater Status In progress => Resolved
2016-11-12 11:10 AutoUpdater Resolution open => fixed
2016-11-12 11:10 AutoUpdater Fixed in Version => 3.2.0
2016-11-13 16:54 AutoUpdater Fixed in Version 3.2.0 => 3.2.1
2016-11-13 16:57 Xenos Note Added: 0002727
2016-11-13 16:57 Xenos Status Resolved => Close
2016-11-17 22:46 AutoUpdater Status Close => Resolved
2016-11-17 22:46 AutoUpdater Fixed in Version 3.2.1 => 3.2.2
2016-11-17 22:48 Xenos Note Added: 0002739
2016-11-17 22:48 Xenos Status Resolved => Close